## pymvpa2 2.0.0~rc5

=== debian/changelog ===
pymvpa2 (2.0.0~rc5-1~nd50+1) lenny; urgency=low

  * Backported for lenny.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 19 Oct 2011 17:12:38 -0400

pymvpa2 (2.0.0~rc5-1) unstable; urgency=low

  * mvpa module was renamed into mvpa2 to allow co-installability with
    stable mvpa 0.4.x (hence source package name change)
  * Command line tools (atlaslabeler, mvpa-prep-fmri) are not provided
    for this release
  * Bump Standards-Version to 3.9.2 -- no changes necessary

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 19 Oct 2011 14:18:14 -0400

pymvpa-snapshot (0.6.0~rc4-1) neurodebian; urgency=low

  * PyMVPA development snapshot.
  * Pruned unneeded now XS-DM-Upload-Allowed.

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 14 Jun 2011 21:03:07 -0400

pymvpa-snapshot (0.6.0~rc3-1) neurodebian; urgency=low

  * PyMVPA development snapshot.
  * Includes upstream changelog now.

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 12 Apr 2011 12:08:15 -0400

pymvpa-snapshot (0.6.0~rc2-1) neurodebian; urgency=low

  * PyMVPA development snapshot.

 -- Michael Hanke <mih@debian.org>  Thu, 03 Mar 2011 16:06:46 -0500

pymvpa (0.4.3-2) unstable; urgency=low

  [ Sandro Tosi ]
  * Drop Python 2.4; thanks to Luca Falavigna for the
    report and to Jakub Wilk for the patch (Closes: #562482)
    - debian/control
      + bump b-d on python-all-dev to '>= 2.5'
      + drop python-ctypes
      + drop explicit Depends on python: we use ${python:Depends}
    - debian/pyversions
      + bump it to '+2.5-'

  [ Yaroslav Halchenko ]
  * debian/control
    - Thanks Sandro Tosi for NMU attempt to fix #560606.
    - Build-Conflict on python-epydoc=3.0.1-4: this version works
    incorrectly with python-docutils 0.6 (thanks to Lucas Nussbaum for the
    report).  Also Build-Depends on python-docutils (<< 0.6) |
    python-docutils (>= 0.6-3~) which would assure that we still can build
    on lenny or with fresh docutils which pull in fresh epydoc (thanks to
    Jakub Wilk for suggestion).  Those 2 steps fix the FTBFS (Closes:
    #560606)
    - Added python-mvpa-doc to suggests.
  * Cherry pick 2 commits from maint/0.4 branch to be compatible with recent
    versions of shogun-python-modular present in sid/squeeze.

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 12 Jan 2010 17:55:55 -0500

pymvpa (0.4.3-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.3 -- no changes necessary.
  * Maintainer field points to ExpPsy Maintainers now.
  * Recommend python-reportlab.
  * Added python-nose, python-nifti, python-lxml to Build-depends.

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 04 Sep 2009 16:18:54 -0400

pymvpa (0.4.2-1) unstable; urgency=low

  [ Michael Hanke ]
  * New upstream release.
  * Removing the circular dependency between python-mvpa and python-mvpa-lib
    (Closes: #519129).
  * Improve long description of python-mvpa-lib and turn it into complete
    sentences, as recommended by the developers reference 6.2.3
    (Closes: #521332).
  * Bump Standards-Version to 3.8.1 -- no changes necessary.
  * Added dependency on python to the python-mvpa package to satisfy lintian.
  * Added rsync as build-dependency, which is required for building the docs.
  * The package now honors 'nodoc' in DEB_BUILD_OPTIONS. This is intended to
    help backporting to releases with insufficient python-sphinx versions.
  * Added 'graphviz' as a build-dependency (necessary for Sphinx' inheritance
    graphs).

  [ Yaroslav Halchenko ]
  * Compatible with cdbs >= 0.4.54 (use of DEB_PYTHON_MODULE_PACKAGES) and
    recent pysupport (>=0.9).
  * Run unittests for each supported python version during build.

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 25 May 2009 11:21:39 +0200

pymvpa (0.4.1-1) unstable; urgency=low

  [ Michael Hanke ]
  * New upstream release.
  * Added missing ${misc:Depends} to debian/control.
  * The package now honors 'nocheck' in DEB_BUILD_OPTIONS.
  * Speed-up of package build process by preventing the docs from being built
    twice.
  * Added 'DM-Upload-Allowed: yes' to enable DM upload.
  * Install new manpages and add build-dep. to help2man.
  * Updated debian/copyright.
  * Imported various bugfixes from the upstream VCS that were pushed into the
    0.4 maintenance branch since the release of 0.4.1.

  [ Yaroslav Halchenko ]
  * Adjusted long descriptions.
  * Split libraries (low-level SMLR implementation and LIBSVM custom
    Python bindings) into a separate python-mvpa-lib package. That allows
    python-mvpa package to become architecture independent.

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 21 Feb 2009 14:07:55 +0100

pymvpa (0.4.0-1) unstable; urgency=low

  * New upstream release.
  * Running a subset of the unittests during package build (only tests not
    requiring a huge amount of cpu-time or memory.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 19 Nov 2008 03:30:53 +0100

pymvpa (0.3.1-1) unstable; urgency=low

  * New upstream release.
  * Added dependency to ctypes for python 2.4.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 14 Sep 2008 13:53:31 +0200

pymvpa (0.3.0-1) unstable; urgency=low

  * New upstream release.
  * Added python-pywt as recommended package.
  * Using jquery.js from corresponding Debian package.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 17 Aug 2008 20:56:26 +0200

pymvpa (0.2.2-1) unstable; urgency=low

  * New upstream maintenance release (missed 0.2.1). This release contains
    a minimal copy of LIBSVM. The Debian package does not build it, but makes
    use of the corresponding Debian package.
  * Shrink Debian diff and move the enabling of LIBSVM into debian/rules.
  * Convert debian/copyright into machine readable format.

