## pymvpa2 2.0.0

=== debian/changelog ===
pymvpa2 (2.0.0-6) unstable; urgency=low

  * Fixed FTBFS due to sphinx API changes braking old copy of autosummary.
    System-wide autosummary should be used now for sphinx >= 1.1.2
    (Closes: #658593). Thanks to Jakub Wilk and Julian Taylor for help
    Patch: up_sphinx_1.1.2_autosummary

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 07 Feb 2012 11:16:39 -0500

pymvpa2 (2.0.0-5) unstable; urgency=low

  * Fixed FTBFS due to test failure in test_niftidataset on big-endians.
    Patch: 0001-BF-assure-native-endianness-in-test_assumptions_on_n.patch
  * Fixed oblivious typo of removing system-installed underscore.js
    leading to stall and thus FTBFS on Debian build hosts
  * Run unittests with verbose output for easy troubleshooting of FTBFSs

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 27 Dec 2011 16:26:12 -0500

pymvpa2 (2.0.0-4) unstable; urgency=low

  * debian/rules: export HOME=$(CURDIR)/build to assure rw $HOME for every
    aspect of package building (finally Closes:#652903)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 22 Dec 2011 23:03:26 -0500

pymvpa2 (2.0.0-3) unstable; urgency=low

  * Add up_robust_doc_building to the patch queue series
    (really Closes: #652903)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 22 Dec 2011 10:38:37 -0500

pymvpa2 (2.0.0-2) unstable; urgency=low

  * up_robust_doc_building patch to point HOME to build/ directory
    (Closes: #652903)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 21 Dec 2011 18:34:32 -0500

pymvpa2 (2.0.0-1) unstable; urgency=low

  * Long-awaited upstream release of mvpa2
  * Removed conflict with python-mvpa-lib -- both python-mvpa and python-mvpa2
    must be co-installable now
  * Reincrarnated -doc package providing HTML documentation

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 15 Dec 2011 18:32:02 -0500
