=== debian/control ===
Source: pymvpa2
Section: python
Priority: optional
Maintainer: NeuroDebian team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7.0.50~),
               python-all-dev (>= 2.4), python-support (>= 0.6), swig,
               python-numpy, python-scipy,
               python-nibabel,
               python-nose,
               python-h5py,
               python-lxml,
               libsvm-dev (>= 2.84.0),
               help2man,
               python-sphinx,
               graphviz, inkscape, imagemagick, bc
Standards-Version: 3.9.2
Homepage: http://www.pymvpa.org
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/pymvpa.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/pymvpa.git

Package: python-mvpa2
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-mvpa2-lib(>= ${source:Version})
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Recommends: python-nibabel, python-psyco, python-mdp, python-scipy, shogun-python-modular, python-pywt, python-matplotlib, python-reportlab, python-h5py, python-psutil
Suggests: fslview, fsl, python-nose, python-lxml, python-openopt, python-rpy2, python-mvpa2-doc, python-sklearn
Description: multivariate pattern analysis with Python v. 2
 PyMVPA eases pattern classification analyses of large datasets, with an
 accent on neuroimaging. It provides high-level abstraction of typical
 processing steps (e.g. data preparation, classification, feature selection,
 generalization testing), a number of implementations of some popular
 algorithms (e.g. kNN, Ridge Regressions, Sparse Multinomial Logistic
 Regression), and bindings to external machine learning libraries (libsvm,
 shogun).
 .
 While it is not limited to neuroimaging data (e.g. fMRI, or EEG) it
 is eminently suited for such datasets.
 .
 This is a package of PyMVPA v.2.  Previously released stable version
 is provided by the python-mvpa package.


Package: python-mvpa2-lib
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: low-level implementations and bindings for PyMVPA v. 2
 This is an add-on package for the PyMVPA framework. It provides a low-level
 implementation of an SMLR classifier and custom Python bindings for the LIBSVM
 library.
 .
 This is a package of a development snapshot. The latest released version is
 provided by the python-mvpa-lib package.

Package: python-mvpa2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
Suggests: python-mvpa2
Description: documentation and examples for PyMVPA v. 2
 This is an add-on package for the PyMVPA framework. It provides a
 HTML documentation (tutorial, FAQ etc.) as well as example scripts.
