=== debian/changelog ===
pymvpa2 (2.1.0-1) unstable; urgency=low

  * Fresh upstream release
  * debian/control
    - unwrapped Depends/Recommends and sorted
    - moved python-lxml and python-sklearn into Recommends
    - added liblapack-dev into Recommends -- provides liblapack.so
      optionally used by Hyperalignment
  * debian/upstream -- added with a canonical reference

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 28 Jun 2012 13:28:19 -0400

pymvpa2 (2.0.1-1) unstable; urgency=low

  * Fresh upstream release
    - all debian/patches were upstreamed
  * debian/control
    - policy boosted to 3.9.3 (no changes)
  * debian/copyright
    - updated for DEP5 v1.0
  * debian/rules
    - added a call to dh_numpy where available for proper NumPy dependencies

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 27 Mar 2012 09:47:23 -0400
