=== debian/rules ===
--- 
+++ 
@@ -11,18 +11,29 @@
 # master.
 gitver = $(shell [ -x /usr/bin/git ] && git describe --tags --match 'upstream/*' $$(git merge-base -a HEAD master) | sed -e 's,^upstream/,,' -e 's/\.dev/~dev/' -e 's/\.rc/~rc/')
 
+export HOME=$(CURDIR)/build
 
 # one ring to rule them all ...
 %:
 # need to enforce distutils, since we also have a makefile
 	dh $@ --buildsystem=python_distutils --builddirectory=build
 
+override_dh_auto_configure:
+	dh_auto_configure
+	mkdir -p $(CURDIR)/build
+
 override_dh_auto_build:
 	dh_auto_build -- --with-libsvm
 	# $(MAKE) manpages
+ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+	$(MAKE) htmldoc
+	-rm build/html/_static/jquery.js build/html/_static/underscore.js
+endif
 
-# we run the test suite on the install 
+
+# we run the test suite on the install
 override_dh_auto_test:
+	: # Tests will be ran later on against installed version
 
 override_dh_auto_install:
 	dh_auto_install -- --with-libsvm
@@ -34,7 +45,8 @@
 		echo "I: Running PyMVPA unittests using python$$buildver"; \
 		cd $(CURDIR)/debian/tmp/usr/lib/python$$buildver/*-packages && \
 		PYTHONPATH=. MVPA_TESTS_LABILE=no MVPA_TESTS_LOWMEM=yes \
-		MVPA_TESTS_QUICK=yes python$$buildver mvpa2/tests/__init__.py \
+		MVPA_TESTS_QUICK=yes MVPA_TESTS_VERBOSITY=3 \
+		python$$buildver mvpa2/tests/__init__.py \
 		|| exit 1 ; find . -type f -name '*.pyc' -delete ; \
 	done
 endif
@@ -49,10 +61,15 @@
 	: # their manpages
 	find debian -wholename */bin -o -wholename */man | xargs -r rm -rf
 
+override_dh_pysupport:
+	dh_pysupport
+	if [ -x /usr/bin/dh_numpy ]; then dh_numpy; fi
+
 override_dh_installchangelogs:
 	dh_installchangelogs Changelog
 
 override_dh_auto_clean:
+	$(MAKE) clean
 	dh_auto_clean
 	-rm -rf $(CURDIR)/build
 
@@ -79,3 +96,7 @@
 		dch --newversion $(gitver)-1 --package pymvpa-snapshot \
 			--allow-lower-version "PyMVPA development snapshot." ; \
 	fi
+
+## immediately useable documentation and exemplar scripts/data
+override_dh_compress:
+	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -Xobjects.inv
